Subject: Re: bug#57433: Emacs no longer moves point into visible port of the buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Aug 2022 12:58:42 +0300

> Cc: [email-masked], [email-masked]
> Date: Sat, 27 Aug 2022 12:33:49 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Cc: [email-masked]
> > From: Gerd Möllmann <[email-masked]>
> > Date: Sat, 27 Aug 2022 10:53:37 +0200
> > 
> > Gerd Möllmann <[email-masked]> writes:
> > 
> > > Gerd Möllmann <[email-masked]> writes:
> > >
> > > a71c05b44de74fe16691f680df34c4534992e472 is the first bad commit
> > >
> > > I will look at the changes in simple.el soon if no-one beats me.
> > 
> > Hm, I must admit that I don't understand the change in line-move, or
> > better said the context in which it was made.  So if I fix this I
> > probably break some optimization.
> 
> The changes in line-move should only affect buffers with very long
> lines.

Does Magit turn on truncate-lines in the affected buffer, or cause
them be truncated due to partial-width windows?  If it does, I might
have an idea what could cause the OP's problem.